Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 908329 (Horde_Core) - Review Request: php-horde-Horde-Core - Horde Core Framework libraries
Summary: Review Request: php-horde-Horde-Core - Horde Core Framework libraries
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Core
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: Horde_Alarm Horde_Auth Horde_Token Horde_Mail Horde_Mime Horde_Group Horde_Image Horde_LoginTasks 785473 Horde_Prefs horde-lock Horde_Serialize Horde_Icalendar Horde_Template Horde_Controller Horde_Compress Horde_Data Horde_Ldap Horde_SessionHandler Horde_Editor Text_Filter_Csstidy Horde_Mime_Viewer Horde_Share prototype scriptaculous Horde_Text_Filter Horde_Imap_Client Horde_Tree Horde_View Horde_Vfs Horde_History Horde_Crypt Horde_Compress_Fast Horde_Queue Horde_Notification
Blocks: Horde_Rpc horde Horde_Dav Horde_Form
TreeView+ depends on / blocked
 
Reported: 2013-02-06 12:51 UTC by Remi Collet
Modified: 2014-02-11 19:13 UTC (History)
4 users (show)

Fixed In Version: php-horde-Horde-Core-2.11.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 14:43:01 UTC
Type: ---
Embargoed:
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (deleted)
2014-01-27 03:42 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (deleted)
2014-01-27 03:42 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2013-02-06 12:51:28 UTC
Spec URL: https://github.com/remicollet/remirepo/blob/655395d4034a0a97ec8544ea88bdc7807d2fb10c/php/horde/php-horde-Horde-Core/php-horde-Horde-Core.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Core-2.1.7-1.remi.src.rpm
Description: 
These classes provide the core functionality of the Horde Application Framework.

Fedora Account System Username: remi

Comment 6 Shawn Iwinski 2014-01-10 03:36:30 UTC
Circular dependency with Horde_Form (bug 785463).  Since Horde_Form is optional (and there seems to be no response to your pings from the owner), just comment it out until it is avail.

Comment 8 Shawn Iwinski 2014-01-27 03:42:26 UTC
Created attachment 855889 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0

Comment 9 Shawn Iwinski 2014-01-27 03:42:59 UTC
Created attachment 855890 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 908329
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 10 Shawn Iwinski 2014-01-27 03:44:16 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Remove EPEL 5 bits after initial import.


[x]: Requires correct, justified where necessary.

     According to package.xml:

     php-pear(%{pear_channel}/Horde_Url) >= 2.1.0


Obviously wait for dependencies before importing.


No blockers


===== APPROVED =====

Comment 11 Remi Collet 2014-01-27 07:33:50 UTC
Thanks for all those reviews!

New Package SCM Request
=======================
Package Name: php-horde-Horde-Core
Short Description: Horde Core Framework libraries
Owners: remi
Branches: f20 el6 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2014-01-27 13:04:51 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-01-27 15:25:48 UTC
php-horde-Horde-Core-2.11.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Core-2.11.1-2.el6

Comment 14 Fedora Update System 2014-01-27 15:26:04 UTC
php-horde-Horde-Core-2.11.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Core-2.11.1-2.fc20

Comment 15 Fedora Update System 2014-02-05 03:32:54 UTC
php-horde-Horde-Core-2.11.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-02-11 19:13:17 UTC
php-horde-Horde-Core-2.11.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.